Guest

CiscoWorks Wireless LAN Solution Engine (WLSE)

Field Notice: FN - 62071 - WLSE Software - Data Table Trimming Feature Defect Causes Backups and Restores To Fail


Revised October 20, 2005

May 12, 2005


Products Affected

Products Affected

CWWLSE-1130 SOFTWARE - 2.9.1

CWWLSE-1130 SOFTWARE - 2.9.1a

CWWLSE-1130 software - 2.9

 

Problem Description

Cisco has detected a defect in WLSE software versions 2.9 and 2.9.1 which may cause users to experience timeout errors during database backups or restores procedures.

Customers running version 2.9 and 2.9.1, or customers who have upgraded from these releases to 2.9.1a, may encounter a defect which prevents a trimming feature from appropriately managing database table growth. Database Trimming is an internal process that manages the size of the data tables by monitoring table entries and automatically deleting older entries.

Background

The defect was detected and verified during a routine development test procedure of versions 2.9, 2.9.1 and upgrades from these releases to 2.9.1a.

WLSE has a database trimming functionality to periodically remove or delete old entries in the database tables that collect and store network activity. This functionality is necessary as tables can grow rather large based on network activity and the type of data collected.

Problem Symptoms

WLSE users may experience frequent timeout failures while attempting a database backup or restore procedure.

This is due to some database tables being too large to support the timing windows that are statically set in the software.

Workaround/Solution

Customers using WLSE 2.9 or 2.9.1, and customers who have upgraded to WLSE 2.9.1a from WLSE 2.9 or 2.9.1 should upgrade to WLSE 2.11.

Note: CCO login authorization is required to access Cisco Software Center.

  1. Download the following patch instructions: WLSE-2.x-CSCsa93623.readmeV1.txt (registered customers only)

  2. Download and follow the instructions for upgrading to version 2.11: WLSE-2.11-K9.readme-V2.txt (registered customers only)

Note: It is highly recommended that 2.11 users upgrade their Access Point IOS image to 12.3(2)JA or higher.

For complete instructions on upgrading to release 2.11 please refer to Upgrading the Cisco Works Wireless LAN Solution Engine, 2.11.

DDTS

To follow the bug ID link below and see detailed bug information, you must be a registered user and you must be logged in.

DDTS

Description

CSCsa74977 (registered customers only)

Some of the database tables in WLSE 2.9 are not getting trimmed.

 

For More Information

If you require further assistance, or if you have any further questions regarding this field notice, please contact the Cisco Systems Technical Assistance Center (TAC) by one of the following methods:

Receive Email Notification For New Field Notices

Product Alert Tool - Set up a profile to receive email updates about reliability, safety, network security, and end-of-sale issues for the Cisco products you specify.